#ifndef REMOTE_H
#define REMOTE_H

#include <QTcpServer>
#include <QTcpSocket>
#include <QUdpSocket>
#include <QScriptEngine>

class Remote : public QUdpSocket
{
    Q_OBJECT

public:

    explicit Remote(QObject *parent = 0);

signals:

    void pause(void);
    void next(void);
    void goTo(int index, int loop);
    void goTo(QString filePath);
    void screenshot(void);
    void restart(void);
    void text(QString text, int duration);
    void loop(void);
    void readUrl(QString url, int duration);

public slots:

    void processMessage();

private:

    void processGoTo(QScriptValue* js);
};

#endif // REMOTE_H
