#ifndef RESTRICTEDWEBVIEW_H
#define RESTRICTEDWEBVIEW_H

#include <QWebView>
#include <QNetworkReply>
#include <QAuthenticator>
#include <QEvent>
#include <QMouseEvent>

class RestrictedWebView : public QWebView
{
    Q_OBJECT

public:
    RestrictedWebView(QUrl url, QWidget *parent = 0);
    void home();

protected:
    bool eventFilter(QObject *object, QEvent *event);
    QWebView *createWindow(QWebPage::WebWindowType type);

private:
    void mousePressEvent(QMouseEvent*);

private slots:
    void onUrlDenied(QString &);
    void onAuthRequired(QNetworkReply *, QAuthenticator *);

signals:
    void mouseMoved();
    void urlDenied(QString &);
    void webViewCreated(RestrictedWebView *);
    void rightclick();
};

#endif
