#ifndef DOCUMENT_H
#define DOCUMENT_H

#include <QTimer>
#include <QWebView>
#include <QMouseEvent>

#include "playlistitem.h"
#include "runnable.h"

class Document : public QWebView, public Runnable
{
    Q_OBJECT

public:
    Document(PlaylistItem *item, QWidget *parent);

private:
    QString m_uri;

    bool startImpl(void);
    bool stopImpl(void);
    bool onTimeoutImpl(void);
    void pauseImpl(void);
    void resumeImpl(void);

    QString parseTemplate(QString &html, QString &basePath);
    void mousePressEvent(QMouseEvent*);

signals:
    void end();
    void rightclick();
};

#endif
