#include <QPalette>
#include <QProcess>
#include <QDebug>
#include <QMouseEvent>

#include "idle.h"


Idle::Idle(PlaylistItem *item, QWidget *parent)
    : QLabel(parent)
    , Runnable(item->time())
{ setBlackBackground(); }


void Idle::setBlackBackground(void)
{
    QPalette p;
    p.setColor(QPalette::Background, Qt::black);
    QLabel::setAutoFillBackground(true);
    QLabel::setPalette(p);
}


bool Idle::startImpl(void)
{
    qDebug() << "Starting idle";
    QProcess p;
#ifdef __arm__
    p.start("sudo",QStringList()<<"/opt/vc/bin/tvservice"<< "-p");
    p.waitForFinished();
    p.start("/opt/vc/bin/tvservice",QStringList()<<"-o");
    p.waitForFinished();
#else
    p.start("xset",QStringList()<<"dpms"<<"force"<<"off");
    p.waitForFinished();
#endif

    return true;
}


bool Idle::stopImpl(void) { return true; }


bool Idle::onTimeoutImpl(void)
{ emit(end()); return true; }


void Idle::pauseImpl(void) {}


void Idle::resumeImpl(void) {}


void Idle::mousePressEvent(QMouseEvent* event)
{
    if (event->button() == Qt::RightButton)
        emit rightclick();
}
