#include <vlc/vlc.h>

#include <QTimer>
#include <QWidget>

#include "runnable.h"
#include "playlistitem.h"

class VideoImpl;
class Video : public QWidget, public Runnable
{
    Q_OBJECT

public:
    Video(PlaylistItem *item, QWidget *parent);
    ~Video(void);

private:

    bool startImpl(void);
    bool stopImpl(void);
    bool onTimeoutImpl(void);
    void pauseImpl(void);
    void resumeImpl(void);

    void mousePressEvent(QMouseEvent*);

    friend class VideoImpl;
    VideoImpl* m_impl;

signals:
    void end();
    void rightclick();
};

